summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-08-18 05:09:26 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:33:30 -0500
commit80f75d4138029f9d3548c02513aa2484cd400574 (patch)
treebf7ed5d67315d98a98a98dd28cfd94723083d7e5 /source4/script
parent3f260e2efe416a05571c29d8edb81ae0385a00c9 (diff)
downloadsamba-80f75d4138029f9d3548c02513aa2484cd400574.tar.gz
samba-80f75d4138029f9d3548c02513aa2484cd400574.tar.bz2
samba-80f75d4138029f9d3548c02513aa2484cd400574.zip
r9377: made winreg a user tool (I find it quite useful). I expect it to get the ability
to add/remove keys and values in the future. add it to the standard tests, ensuring that we know if winreg breaks. This is particularly important as winreg uses such unusual IDL constructs (This used to be commit e4ca36bda34cf5e6fecaef5fe60e5dd397ebee3c)
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/tests/test_ejs.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/source4/script/tests/test_ejs.sh b/source4/script/tests/test_ejs.sh
index 75a47155b7..bec130dc86 100755
--- a/source4/script/tests/test_ejs.sh
+++ b/source4/script/tests/test_ejs.sh
@@ -24,3 +24,4 @@ for f in samr.js echo.js ldb.js; do
testit "$f" $SCRIPTDIR/$f $CONFIGURATION ncalrpc: -U$USERNAME%$PASSWORD || failed=`expr $failed + 1`
done
+testit "winreg" scripting/bin/winreg $CONFIGURATION ncalrpc: 'HKLM' -U$USERNAME%$PASSWORD || failed=`expr $failed + 1`